package com.sys.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class MultiUserProfile implements Serializable {

	private static final long serialVersionUID = 4399785844831362853L;

	private String userId;

	private String loginType;

	private String mobile;

	private String club;
	
	private String clientName;

	private Map<String, String> thirdUser = new HashMap<String, String>();

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getLoginType() {
		return loginType;
	}

	public void setLoginType(String loginType) {
		this.loginType = loginType;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getClub() {
		return club;
	}

	public void setClub(String club) {
		this.club = club;
	}

	public Map<String, String> getThirdUser() {
		return thirdUser;
	}

	public void setThirdUser(Map<String, String> thirdUser) {
		this.thirdUser = thirdUser;
	}
	
	public String getCurrentClubUserId() {
		return this.thirdUser.get(this.getClub());
	}
	

	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}

	@Override
	public String toString() {
		return "MultiUserProfile [userId=" + userId + ", loginType=" + loginType + ", mobile=" + mobile + ", club="
				+ club + ", clientName=" + clientName + ", thirdUser=" + thirdUser + "]";
	}

}
